<template>
  <div class="layout-wrapper">
    <NavBar />
    <b-container fluid class="h-100">
      <b-row class="h-100">
        <b-col cols="12" md="4" lg="3" xl="2" class="sidebar position-sticky p-0 d-none d-md-block">
          <slot name="sidebar">
            <VSidebar :disabled="!availRegions || (availRegions &&availRegions.length === 0)" />
          </slot>
        </b-col>
        <b-col cols="12 scroll" id="mainScroll" md="8" lg="9" xl="10">
          <!-- TODO: Breadcrumbs here -->
          <b-container class="pb-5" fluid>
            <b-row>
              <b-col class="pt-4 pb-5">
                <slot></slot>
              </b-col>
            </b-row>
          </b-container>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>


<script>
import { mapState } from "vuex";
import VSidebar from "@/components/VSidebar";
import NavBar from "@/components/NavBar";
export default {
  components: {
    VSidebar,
    NavBar
  },
  data() {
    return {};
  },
  computed: {
    ...mapState({
      availRegions: state => state.person.availRegions
    })
  },
  mounted() {},
  created() {},
  methods: {}
};
</script>

<style scoped lang="scss">
.layout-wrapper {
  height: 100vh;
  .scroll {
    overflow: auto;
    height: 100vh;
  }
}
::-webkit-scrollbar {
  width: 0px !important;
  background: transparent !important;
}
</style>
